Subject: bug#71164: 14.0.5; Font lock annoyance

From: Arash Esbati <[email-masked]>
Date: Sat, 29 Jun 2024 22:19:07 +0200

Arash Esbati <[email-masked]> writes:

> Arash Esbati <[email-masked]> writes:
>
>> Ikumi Keita <[email-masked]> writes:
>>
>>> It seems it does work while font lock itself is still disabled. I
>>> speculate that the current syntax propertize function only needs that
>>> font lock variables are set up. Then I hope the patch below does the
>>> trick.
>>>
>>> Derek, can you try it?
>>>
>>> Regards,
>>> Ikumi Keita
>>> #StandWithUkraine #StopWarInUkraine
>>> #Gaza #StopMassiveKilling #CeasefireNOW
>>>
>>> diff --git a/font-latex.el b/font-latex.el
>>> index ccddd8b1..7a02e3f4 100644
>>> --- a/font-latex.el
>>> +++ b/font-latex.el
>>> @@ -1313,7 +1313,10 @@ triggers Font Lock to recognize the change."
>>>    (let ((kws ;; (if (derived-mode-p 'docTeX-mode)
>>>               ;;     font-latex-doctex-syntactic-keywords
>>>                 font-latex-syntactic-keywords)) ;; )
>>> -    (syntax-propertize-via-font-lock kws)))
>>> +    (let ((func (syntax-propertize-via-font-lock kws)))
>>> +      (lambda (start end)
>>> +        (or font-lock-set-defaults (font-lock-set-defaults))
>>> +        (funcall func start end)))))
>>>  
>>>  ;;;###autoload
>>>  (defun font-latex-setup ()
>>
>> Derek, can you please report back if the patch above fixes the issue for
>> you?  TIA.
>
> And while we're at it: Do you have a recipe to reproduce this,
> preferably starting with "emacs -Q"?  I don't get the errors you
> described with:
>
>   • emacs -Q
>   • Activate AUCTeX
>   • eval (setq TeX-install-font-lock #'ignore)
>   • open a .tex file and start typing

Ping!  Any updates on this?

@Keita: In case we don't get any response, how do want to proceed?
Install the change or close this report without the change?  My choice
would be the latter since I can't reproduce the issue.

Best, Arash